Support » Plugin: Extended Google Map for Elementor » Requires billing account

Viewing 1 replies (of 1 total)
  • Hey @orenso

    If you want to use Google Maps API, you need to have a billing account setup with Google.

    But that has nothing to do with this plugin!

Viewing 1 replies (of 1 total)
  • The topic ‘Requires billing account’ is closed to new replies.